# Glib::Error Class Reference

Inherits Glib::Exception.

Inherited by Gio::Error, Glib::ConvertError, Glib::FileError, Glib::IOChannelError, Glib::KeyFileError, Glib::MarkupError, Glib::OptionError, Glib::RegexError, Glib::ShellError, Glib::SpawnError, and Glib::ThreadError.

Collaboration diagram for Glib::Error:
[legend]

List of all members.

## Public Member Functions

| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const

## Protected Attributes

GError* | gobject_

## Constructor & Destructor Documentation

Glib::Error::Error | ( |  | ) |

Glib::Error::Error | ( | GQuark | domain,
|  | int | code,
|  | const Glib::ustring& | message |
| ) |  |  |

Glib::Error::Error | ( | GError * | gobject,
|  | bool | take_copy = `false` |
| ) |  |  | `[explicit]`

Glib::Error::Error | ( | const Error& | other | ) |

virtual Glib::Error::~Error | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

int Glib::Error::code | ( |  | ) | const

Reimplemented in Glib::ConvertError, Glib::FileError, Glib::IOChannelError, Glib::KeyFileError, Glib::MarkupError, Glib::OptionError, Glib::RegexError, Glib::ShellError, Glib::SpawnError, Glib::ThreadError, and Gio::Error.

GQuark Glib::Error::domain | ( |  | ) | const

const GError* Glib::Error::gobj | ( |  | ) | const

GError* Glib::Error::gobj | ( |  | ) |

bool Glib::Error::matches | ( | GQuark | domain,
|  | int | code |
| ) |  |  | const

Error& Glib::Error::operator= | ( | const Error& | other | ) |

virtual Glib::ustring Glib::Error::what | ( |  | ) | const`[virtual]`

Implements Glib::Exception.

## Member Data Documentation

GError* Glib::Error::gobject_`[protected]`

The documentation for this class was generated from the following file:

- glibmm/error.h